{% extends 'base.html.twig' %}

{% block title %}Visualisation du team mate {{ parent() }}{% endblock %}

{% block stylesheets %}
    {{ encore_entry_link_tags('teamMateShow') }}
{% endblock %}

{% block body %}
    {% include "base/_header.html.twig" %}
    <div class='container__content'>
        <div class='container__profile'>
            <h1>Profil de l'Argonaute</h1>
            <div class='card__profile'>
                <div class='poster__profile'>
                    {% if team_mate.isMale == true %}
                        <img class="avatar__profile" src="{{ asset('build/images/male.png') }}" alt="avatar profile">
                    {% else %}
                        <img class="avatar__profile" src="{{ asset('build/images/female.png') }}" alt="avatar profile">
                    {% endif %}
                </div>

                <div class='container__profile__infos'>
                    <div class='profile__infos'>
                        <p><span class='label__profile__info'>Nom:</span> {{ team_mate.name }}</p>
                        <p><span class='label__profile__info'>Age:</span> {{ team_mate.age }}</p>
                        <p><span class='label__profile__info'>Ville:</span> {{ team_mate.city }}</p>
                        <p><span class='label__profile__info'>Niveau:</span> {{ team_mate.level }}</p>
                    </div>
                </div>
                <div class='container__profile__button'>
                    {% if team_mate.isAvailable == false %}
                        <a class='profile__button' href="{{ path('team_mate_fire', {'id': team_mate.id}) }}">Désembaucher</a>
                    {% endif %}
                    {{ include('team_mate/_delete_form.html.twig') }}
                </div>
            </div>
        </div>

        <div class='container__back__button'>
            <a class='backButton' href="{{ path('team_mate_index') }}">Retour</a>
        </div>
    </div>

    {% include "base/_footer.html.twig" %}

    {% block javascripts %}
        {{ encore_entry_script_tags('teamMateShow') }}
    {% endblock %}
{% endblock %}
